org.apache.sysds.runtime.lineage

## Class LineageCache

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCache

-     public class LineageCache
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineageCache()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MatrixBlock` | `getMatrix(LineageItem key)`
    `static boolean` | `probe(LineageItem key)`
    `static void` | `putMatrix(Instruction inst, ExecutionContext ec, long computetime)`
    `static void` | `putValue(Instruction inst, ExecutionContext ec, long starttime)`
    `static void` | `putValue(List<DataIdentifier> outputs, LineageItem[] liInputs, String name, ExecutionContext ec, long computetime)`
    `static void` | `resetCache()`
    `static boolean` | `reuse(Instruction inst, ExecutionContext ec)`
    `static boolean` | `reuse(List<String> outNames, List<DataIdentifier> outParams, int numOutputs, LineageItem[] liInputs, String name, ExecutionContext ec)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineageCache

          public LineageCache()

  - ### Method Detail

    - #### reuse

          public static boolean reuse(Instruction inst,
                                      ExecutionContext ec)

    - #### reuse

          public static boolean reuse(List<String> outNames,
                                      List<DataIdentifier> outParams,
                                      int numOutputs,
                                      LineageItem[] liInputs,
                                      String name,
                                      ExecutionContext ec)

    - #### probe

          public static boolean probe(LineageItem key)

    - #### getMatrix

          public static MatrixBlock getMatrix(LineageItem key)

    - #### putMatrix

          public static void putMatrix(Instruction inst,
                                       ExecutionContext ec,
                                       long computetime)

    - #### putValue

          public static void putValue(Instruction inst,
                                      ExecutionContext ec,
                                      long starttime)

    - #### putValue

          public static void putValue(List<DataIdentifier> outputs,
                                      LineageItem[] liInputs,
                                      String name,
                                      ExecutionContext ec,
                                      long computetime)

    - #### resetCache

          public static void resetCache()

Copyright © 2020 The Apache Software Foundation. All rights reserved.